#!/bin/sh

# PROVIDE: rebootd
# REQUIRE: NETWORKING SERVERS
# KEYWORD: FreeBSD shutdown

#
# Add the following lines to /etc/rc.conf to enable rebootd:
# rebootd_enable (bool):      Set to "NO" by default.
#                             Set it to "YES" to enable rebootd
# rebootd_flags (str):        Any arguments
#

. /etc/rc.subr

name="rebootd"
rcvar=`set_rcvar`

command="/usr/opt/sbin/rebootd"
pidfile="/var/run/rebootd.pid"

[ -z "${rebootd_enable}" ]       && rebootd_enable="NO"
[ -z "${rebootd_flags}" ]        && rebootd_flags=""
[ -z "${rebootd_configfile}" ]   && rebootd_configfile="/usr/local/etc/rebootd.conf"

rebootd_flags="--config ${rebootd_configfile} ${rebootd_flags}"
required_files=${rebootd_configfile}

load_rc_config $name

extra_commands="reload"
run_rc_command "$1"
